Loading...
Searching...
No Matches
pcl::SupervoxelClustering< PointT >::VoxelData Class Reference

VoxelData is a structure used for storing data within a pcl::octree::OctreePointCloudAdjacencyContainer. More...

`#include <pcl/segmentation/supervoxel_clustering.h>`

## Public Member Functions

| VoxelData ()
void | getPoint (PointT &point_arg) const
| Gets the data of in the form of a point.
void | getNormal (Normal &normal_arg) const
| Gets the data of in the form of a normal.
void | getPoint (pcl::PointXYZRGB &point_arg) const
void | getPoint (pcl::PointXYZRGBA &point_arg) const

## Public Attributes

Eigen::Vector3f | xyz_
Eigen::Vector3f | rgb_
Eigen::Vector4f | normal_
float | curvature_ {0.0f}
float | distance_ {0.0f}
int | idx_ {0}
SupervoxelHelper * | owner_

## Detailed Description

template<typename PointT>
class pcl::SupervoxelClustering< PointT >::VoxelData

VoxelData is a structure used for storing data within a pcl::octree::OctreePointCloudAdjacencyContainer.

Note
  It stores xyz, rgb, normal, distance, an index, and an owner.

Definition at line 135 of file supervoxel_clustering.h.

## Constructor & Destructor Documentation

## VoxelData()

template<typename PointT >

pcl::SupervoxelClustering< PointT >::VoxelData::VoxelData | ( |  | ) |

inline

Definition at line 138 of file supervoxel_clustering.h.

## Member Function Documentation

## getNormal()

template<typename PointT >

void pcl::SupervoxelClustering< PointT >::VoxelData::getNormal | ( | Normal & | normal_arg | ) | const

Gets the data of in the form of a normal.

Parameters

  [out] | normal_arg | Will contain the normal value of the voxeldata

Definition at line 742 of file supervoxel_clustering.hpp.

References pcl::_Normal::curvature.

## getPoint() [1/3]

void pcl::SupervoxelClustering::VoxelData< pcl::PointXYZRGB >::getPoint | ( | pcl::PointXYZRGB & | point_arg | ) | const

## getPoint() [2/3]

void pcl::SupervoxelClustering::VoxelData< pcl::PointXYZRGBA >::getPoint | ( | pcl::PointXYZRGBA & | point_arg | ) | const

## getPoint() [3/3]

template<typename PointT >

void pcl::SupervoxelClustering< PointT >::VoxelData::getPoint | ( | PointT & | point_arg | ) | const

Gets the data of in the form of a point.

Parameters

  [out] | point_arg | Will contain the point value of the voxeldata

Definition at line 732 of file supervoxel_clustering.hpp.

## Member Data Documentation

## curvature_

template<typename PointT >

float pcl::SupervoxelClustering< PointT >::VoxelData::curvature_ {0.0f}

Definition at line 161 of file supervoxel_clustering.h.

## distance_

template<typename PointT >

float pcl::SupervoxelClustering< PointT >::VoxelData::distance_ {0.0f}

Definition at line 162 of file supervoxel_clustering.h.

## idx_

template<typename PointT >

int pcl::SupervoxelClustering< PointT >::VoxelData::idx_ {0}

Definition at line 163 of file supervoxel_clustering.h.

Referenced by pcl::SupervoxelClustering< PointT >::SupervoxelHelper::compareLeaves::operator()().

## normal_

template<typename PointT >

Eigen::Vector4f pcl::SupervoxelClustering< PointT >::VoxelData::normal_

Definition at line 160 of file supervoxel_clustering.h.

## owner_

template<typename PointT >

SupervoxelHelper* pcl::SupervoxelClustering< PointT >::VoxelData::owner_

Definition at line 164 of file supervoxel_clustering.h.

Referenced by pcl::SupervoxelClustering< PointT >::getLabeledCloud().

## rgb_

template<typename PointT >

Eigen::Vector3f pcl::SupervoxelClustering< PointT >::VoxelData::rgb_

Definition at line 159 of file supervoxel_clustering.h.

## xyz_

template<typename PointT >

Eigen::Vector3f pcl::SupervoxelClustering< PointT >::VoxelData::xyz_

Definition at line 158 of file supervoxel_clustering.h.

The documentation for this class was generated from the following files:

- pcl/segmentation/supervoxel_clustering.h
- pcl/segmentation/impl/supervoxel_clustering.hpp